Bug 41105

Summary: [36cat] On Runtime - Databases appears an Adaptors element with no use.
Product: db Reporter: llturro <llturro>
Component: CodeAssignee: Radko Najman <rnajman>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: 3.x   
Hardware: PC   
OS: Linux   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: Proposed patch

Description llturro 2004-03-18 11:26:23 UTC
[ BUILD # : RC1 ]
[ JDK VERSION : J2SE 1.4.2_02 ]

On Runtime - Databases  appears an Adaptors element with no use. It has no "Add adaptor..." option as ocurrs in Drivers node. It owns a "Default adaptor" child which is also useless.
Comment 1 Jiri Skrivanek 2004-03-18 14:57:34 UTC
Adaptors were completely removed from NetBeans 3.6. Did you use
userdir from previous release of NetBeans? If so, please, describe
which version you used and how you install the new version.
Comment 2 llturro 2004-03-18 15:30:34 UTC
I used Linux installer and imported from 3.5.1

I would like to notice something: I removed Adaptors by right-clicking
and selecting the option menu "Delete   Delete" --it appears twice--.
"Default adaptor" successfully disappear but Adaptors did not, thus I
tried again. No message but Adaptors remained. I restarted the IDE
and... Neither Adaptors nor Drivers was there!! 
Comment 3 llturro 2004-03-18 16:50:20 UTC
I tried again, but deleting only once. Drivers disappear anyway. Is 
there a way to create the drivers node again?
Comment 4 Radko Najman 2004-03-18 17:00:02 UTC
Try to disable/enable the module (using Tools->Options dialog)
Comment 5 llturro 2004-03-18 17:33:35 UTC
I already did. Drivers is gone! Anyway, what really matters is that
deleting Adapters, Drivers gets removed. There should be a kind of
"reconstructor" when module starts, as you pointed in your solution
(restarting the module).
Comment 6 Jiri Skrivanek 2004-03-19 09:39:14 UTC
As a workaround, please remove Databases folder in your user
directory. By default it is located here:

<home>/.netbeans/3.6rc1/system/Databases

Then start IDE and the Drivers node will appear again.
Comment 7 llturro 2004-03-19 10:28:50 UTC
Yes! There it's again!
Comment 8 Radko Najman 2004-03-19 16:45:35 UTC
I made a patch for this issue. If the Adaptors folder exists (imported
from an older version), it is automatically deleted. Adaptors are not
used anymore in 3.6 release.

QE, what do you think, should this be fixed for 3.6 release? The
decision is up to you...
Comment 9 Jiri Skrivanek 2004-03-19 18:30:56 UTC
Please, add the patch to test it.
Comment 10 Jiri Skrivanek 2004-03-22 15:19:59 UTC
Raising priority because DB explorer is unusable after import from
previous version. Please, fix in 3.6. I tested the patch and it works.
Comment 11 Radko Najman 2004-03-22 15:57:18 UTC
Fixed in trunk.
Comment 12 Radko Najman 2004-03-22 15:58:02 UTC
Created attachment 14081 [details]
Proposed patch
Comment 13 Petr Pisl 2004-03-22 16:35:29 UTC
Fix is ok for me. 
Comment 14 Radko Najman 2004-03-23 17:04:40 UTC
Fixed on 3.6 release.
Comment 15 Jiri Skrivanek 2004-03-29 12:18:34 UTC
Verified in NB3.6 build 200403251830.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo